%define ver    0.5
%define rel    alpha


Summary:       A library for Microsoft compression formats
Name:          libmspack
Version:       %{ver}
Release:       0.1.%{rel}%{?dist}%{?pext}
License:       LGPLv2
Group:         System Environment/Libraries
Source0:       http://www.cabextract.org.uk/%{name}/%{name}-%{ver}%{rel}.tar.gz
Patch0:        %{name}-0.5alpha-build.patch
URL:           http://www.cabextract.org.uk/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Stuart Caie <kyzer@4u.net>

%description
Libmspack provides compressors and decompressors, archivers and dearchivers
for Microsoft compression formats: CAB, CHM, HLP, KWAJ, LIT and SZDD. It is
also designed to be easily embeddable, stable, robust and resource-efficient.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      pkgconfig

%description   devel
The %{name}-devel package contains the libraries and header files for
developing software using %{name}.


%package       progs
Summary:       Utilities for %{name}
Group:         Applications/Internet
Requires:      %{name} = %{version}-%{release}
Obsoletes:     mspack-progs < %{version}-%{release}
Obsoletes:     %{name}-prog < %{version}-%{release}

%description   progs
The %{name}-progs package contains several console utilities for %{name}.


%package       static
Summary:       Static libraries for %{name}
Group:         Development/Libraries
Requires:      %{name}-devel = %{version}-%{release}

%description   static
The %{name}-static package contains the statically linkable libraries for
%{name}.


%prep
%setup -q -n %{name}-%{ver}%{rel}
%patch0 -p1


%build
%configure \
	CFLAGS="${RPM_OPT_FLAGS} -Wno-unused" \
	--enable-shared                       \
	--enable-static

%{__make} V=1 %{?_smp_mflags}


%check
pushd test
./cabd_test
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

for PROG in cabd_md5 cabrip chmd_find chmd_md5 chminfo chmx; do
  %{__install} -m 0755 test/${PROG} ${RPM_BUILD_ROOT}%{_bindir}
done

# Prevent conflict with coreutils
%{__install} -m 0755 test/.libs/expand ${RPM_BUILD_ROOT}%{_bindir}/msexpand
%{__install} -m 0755 test/.libs/oabx   ${RPM_BUILD_ROOT}%{_bindir}/oabx

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/%{name}.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog INSTALL README TODO
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%doc doc/*.{css,png,html,js} doc/search
%{_includedir}/mspack.h
%{_libdir}/%{name}.la
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files progs
%defattr(-,root,root)
%{_bindir}/cabd_md5
%{_bindir}/cabrip
%{_bindir}/chmd_find
%{_bindir}/chmd_md5
%{_bindir}/chminfo
%{_bindir}/chmx
%{_bindir}/msexpand
%{_bindir}/oabx

%files static
%defattr(-,root,root)
%{_libdir}/%{name}.a


%changelog
* Sat Jul 11 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.5-0.1.alpha
- New version (0.5alpha)

* Mon Mar 03 2014 Peter Pramberger <peterpramb@member.fsf.org> - 0.4-0.1.alpha
- New version (0.4alpha)

* Sat Apr 06 2013 Peter Pramberger <peterpramb@member.fsf.org> - 0.3-0.2.alpha
- Splitted static libraries from devel package

* Thu May 19 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.3-0.1.alpha
- New version (0.3alpha)

* Wed Oct 27 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.2-0.2.20101019svn
- Fixed conflict with coreutils

* Tue Oct 19 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.2-0.1.20101019svn
- New version (0.2-20101019)

* Sun May 18 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0-0.2.20060920alpha
- Skipped test suite (fails inconsistently)

* Sun May 18 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0-0.1.20060920alpha
- Initial build
